Subject: Re: bug#13333: 24.3.50; (emacs) `Minibuffer History'

From: Juri Linkov <[email-masked]>
Date: Thu, 03 Jan 2013 02:17:18 +0200

>  You can think of this as moving through the "future history" list.

"future history" is a misnomer.

> There is no logical connection between the set of default values

"default values" is a misnomer.

There can be only one default value that it used when the user enters
empty input in the minibuffer.  Other values are not "defaults".

In most applications similar functionality is called "suggestions"
where a drop-down list of suggestions is displayed while the user
types a query into a text box.  This feature is documented at
http://en.wikipedia.org/wiki/Search_suggest_drop-down_list

Thus I propose to enhance the documentation by replacing the term
DEFAULTS with (DEFAULT . SUGGESTIONS) where DEFAULT will retain
its original meaning of the value returned for empty input
and SUGGESTIONS is a list of suggestions available via `M-n'.